ahriman.web.schemas package
===========================

Submodules
----------

ahriman.web.schemas.any\_schema module
--------------------------------------

.. automodule:: ahriman.web.schemas.any_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.aur\_package\_schema module
-----------------------------------------------

.. automodule:: ahriman.web.schemas.aur_package_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.auth\_info\_schema module
---------------------------------------------

.. automodule:: ahriman.web.schemas.auth_info_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.auth\_schema module
---------------------------------------

.. automodule:: ahriman.web.schemas.auth_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.auto\_refresh\_interval\_schema module
----------------------------------------------------------

.. automodule:: ahriman.web.schemas.auto_refresh_interval_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.build\_options\_schema module
-------------------------------------------------

.. automodule:: ahriman.web.schemas.build_options_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.changes\_schema module
------------------------------------------

.. automodule:: ahriman.web.schemas.changes_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.configuration\_schema module
------------------------------------------------

.. automodule:: ahriman.web.schemas.configuration_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.counters\_schema module
-------------------------------------------

.. automodule:: ahriman.web.schemas.counters_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.dependencies\_schema module
-----------------------------------------------

.. automodule:: ahriman.web.schemas.dependencies_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.error\_schema module
----------------------------------------

.. automodule:: ahriman.web.schemas.error_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.event\_bus\_filter\_schema module
-----------------------------------------------------

.. automodule:: ahriman.web.schemas.event_bus_filter_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.event\_schema module
----------------------------------------

.. automodule:: ahriman.web.schemas.event_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.event\_search\_schema module
------------------------------------------------

.. automodule:: ahriman.web.schemas.event_search_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.file\_schema module
---------------------------------------

.. automodule:: ahriman.web.schemas.file_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.hold\_schema module
---------------------------------------

.. automodule:: ahriman.web.schemas.hold_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.info\_schema module
---------------------------------------

.. automodule:: ahriman.web.schemas.info_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.info\_v2\_schema module
-------------------------------------------

.. automodule:: ahriman.web.schemas.info_v2_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.internal\_status\_schema module
---------------------------------------------------

.. automodule:: ahriman.web.schemas.internal_status_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.log\_schema module
--------------------------------------

.. automodule:: ahriman.web.schemas.log_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.login\_schema module
----------------------------------------

.. automodule:: ahriman.web.schemas.login_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.logs\_rotate\_schema module
-----------------------------------------------

.. automodule:: ahriman.web.schemas.logs_rotate_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.logs\_schema module
---------------------------------------

.. automodule:: ahriman.web.schemas.logs_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.logs\_search\_schema module
-----------------------------------------------

.. automodule:: ahriman.web.schemas.logs_search_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.oauth2\_schema module
-----------------------------------------

.. automodule:: ahriman.web.schemas.oauth2_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.package\_name\_schema module
------------------------------------------------

.. automodule:: ahriman.web.schemas.package_name_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.package\_names\_schema module
-------------------------------------------------

.. automodule:: ahriman.web.schemas.package_names_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.package\_patch\_schema module
-------------------------------------------------

.. automodule:: ahriman.web.schemas.package_patch_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.package\_properties\_schema module
------------------------------------------------------

.. automodule:: ahriman.web.schemas.package_properties_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.package\_schema module
------------------------------------------

.. automodule:: ahriman.web.schemas.package_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.package\_status\_schema module
--------------------------------------------------

.. automodule:: ahriman.web.schemas.package_status_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.package\_version\_schema module
---------------------------------------------------

.. automodule:: ahriman.web.schemas.package_version_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.packager\_schema module
-------------------------------------------

.. automodule:: ahriman.web.schemas.packager_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.pagination\_schema module
---------------------------------------------

.. automodule:: ahriman.web.schemas.pagination_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.patch\_name\_schema module
----------------------------------------------

.. automodule:: ahriman.web.schemas.patch_name_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.patch\_schema module
----------------------------------------

.. automodule:: ahriman.web.schemas.patch_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.pgp\_key\_id\_schema module
-----------------------------------------------

.. automodule:: ahriman.web.schemas.pgp_key_id_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.pgp\_key\_schema module
-------------------------------------------

.. automodule:: ahriman.web.schemas.pgp_key_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.process\_id\_schema module
----------------------------------------------

.. automodule:: ahriman.web.schemas.process_id_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.process\_schema module
------------------------------------------

.. automodule:: ahriman.web.schemas.process_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.remote\_schema module
-----------------------------------------

.. automodule:: ahriman.web.schemas.remote_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.repository\_id\_schema module
-------------------------------------------------

.. automodule:: ahriman.web.schemas.repository_id_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.repository\_stats\_schema module
----------------------------------------------------

.. automodule:: ahriman.web.schemas.repository_stats_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.rollback\_schema module
-------------------------------------------

.. automodule:: ahriman.web.schemas.rollback_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.search\_schema module
-----------------------------------------

.. automodule:: ahriman.web.schemas.search_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.sse\_schema module
--------------------------------------

.. automodule:: ahriman.web.schemas.sse_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.status\_schema module
-----------------------------------------

.. automodule:: ahriman.web.schemas.status_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.update\_flags\_schema module
------------------------------------------------

.. automodule:: ahriman.web.schemas.update_flags_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.web.schemas.worker\_schema module
-----------------------------------------

.. automodule:: ahriman.web.schemas.worker_schema
   :members:
   :no-undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: ahriman.web.schemas
   :members:
   :no-undoc-members:
   :show-inheritance:
